Skip to main content

Showreels

Get a Specific Showreel​

curl "https://www.filmmakers.eu/api/v1/showreels/{id}" \
-H "Authorization: Token token=API_KEY"

Replace {id} with the ID of the showreel you want to retrieve.

Example Response​
{
"id": 100,
"showreel_type": "video",
"name": "Showreel 2024",
"position": 1,
"poster_copyright": "Photographer XYZ",
"download": true,
"showreel_medium_ids": [
123456,
123457,
123458,
123459,
123460
],
"poster": "https://imgproxy.filmmakers.eu/8f7c74be-c696-11ee-85a8-4781e0bae8b1.jpg"
}

This endpoint retrieves a specific showreel.

HTTP Request​

GET https://www.filmmakers.eu/api/v1/showreels/<ID>

URL Parameters​

ParameterDescription
IDThe ID of the showreel to retrieve (refer to the showreel_ids array field from the actor profiles endpoint to obtain these IDs)

Response Fields​

See the example response above for an overview of included fields.

FieldTypeDescription
idintegerID of the showreel
showreel_typestringEither video or audio
namestringName of the showreel
positionintegerThe position of the showreel on Filmmakers
posterstringImage URL to the showreel poster/thumbnail
poster_copyrightstringCopyright for the showreel poster/thumbnail
downloadbooleanWhether the download option is active on Filmmakers
showreel_medium_idsarrayIDs of showreel media contained in the showreel (see showreel_media endpoint below)